Name:           light-themes
Version:        0.1.8.29
Release:        1%{?dist}
Summary:        Light Themes (Ambiance and Radiance)

Group:          User Interface/Desktops
License:        CC-BY-SA
URL:            https://launchpad.net/light-themes/
Source0:        https://launchpad.net/ubuntu/+archive/primary/+files/%{name}_%{version}.tar.gz
# Remove <shadow> and <padding> tags from metacity-theme-1.xml files, not
# supported by GNOME Shell (see
# https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/850060)
Patch0:         %{name}-0.1.8.25-metacity.patch
# Fix DMZ cursor theme name in index.theme files (named "DMZ-White" in Ubuntu,
# "dmz" in Fedora)
Patch1:         %{name}-0.1.8.25-mouse.patch
# Fix Ubuntu icon dependency theme in index.theme files (theme named
# "Monochrome" in Fedora)
Patch2:         %{name}-0.1.8.25-icons.patch

BuildArch:      noarch

%description
Includes matching Ambiance and Radiance themes
* Ambiance is a light-on-dark theme
* Radiance is a dark-on-light theme
Introduced as the default themes in Ubuntu 10.04 LTS.


%package -n light-theme-gnome
Summary:        Ambiance and Radiance GNOME themes
Group:          User Interface/Desktops
Requires:       dmz-cursor-themes
Requires:       light-gtk2-theme = %{version}-%{release}
Requires:       light-gtk3-theme = %{version}-%{release}
Requires:       light-metacity-theme = %{version}-%{release}
Requires:       monochrome-icon-theme

%description -n light-theme-gnome
Includes matching Ambiance and Radiance GNOME themes.
* Ambiance is a light-on-dark theme
* Radiance is a dark-on-light theme
Introduced as the default themes in Ubuntu 10.04 LTS.


%package -n light-gtk2-theme
Summary:        Ambiance and Radiance GTK+2 themes
Group:          User Interface/Desktops
Requires:       gtk-murrine-engine

%description -n light-gtk2-theme
Themes for GTK+2 as part of the Light GNOME theme.
* Ambiance is a light-on-dark theme
* Radiance is a dark-on-light theme


%package -n light-gtk3-theme
Summary:        Ambiance and Radiance GTK+3 themes
Group:          User Interface/Desktops
Requires:       gtk-unico-engine

%description -n light-gtk3-theme
Themes for GTK+3 as part of the Light GNOME theme.
* Ambiance is a light-on-dark theme
* Radiance is a dark-on-light theme


%package -n light-metacity-theme
Summary:        Ambiance and Radiance Metacity themes
Group:          User Interface/Desktops
Requires:       metacity

%description -n light-metacity-theme
Themes for Metacity as part of the Light GNOME theme.
* Ambiance is a light-on-dark theme
* Radiance is a dark-on-light theme


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Remove Unity theme files, since Unity is not (yet?) available for Fedora
rm -r */unity/


%build


%install
install -dm 0755 $RPM_BUILD_ROOT%{_datadir}/themes/
cp -a Ambiance/ Radiance/ $RPM_BUILD_ROOT%{_datadir}/themes/


%files -n light-theme-gnome
%{_datadir}/themes/*/index.theme


%files -n light-gtk2-theme
%doc debian/{changelog,copyright}
%dir %{_datadir}/themes/*/
%{_datadir}/themes/*/gtk-2.0/


%files -n light-gtk3-theme
%doc debian/{changelog,copyright}
%dir %{_datadir}/themes/*/
%{_datadir}/themes/*/gtk-3.0/


%files -n light-metacity-theme
%doc debian/{changelog,copyright}
%dir %{_datadir}/themes/*/
%{_datadir}/themes/*/metacity-1/


%changelog
* Thu Feb 16 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.29-1
- Update to 0.1.8.29

* Sat Feb 04 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.27.1-1
- Update to 0.1.8.27.1

* Sun Jan 22 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.26-2
- Rebuilt

* Sun Jan 22 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.26-1
- Update to 0.1.8.26

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8.25-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 09 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-5
- Fix description in light-theme-gnome

* Tue Nov 29 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-4
- Rename source RPM to light-themes
- Split light-theme-gnome into four packages: light-metacity-theme,
  light-gtk2-theme, light-gtk3-theme, light-theme-gnome
- Remove useless Unity theme files

* Sun Nov 20 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-3
- Fix dependency on monochrome-icon-theme

* Tue Oct 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-2
- Fix dependency on mono-icon-theme

* Sun Oct 09 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.8.25-1
- Initial RPM release
